"use strict";

const either = require("@validatem/either");

// FIXME: Maybe this should actually be called isCollapsibleFieldSpecification?
module.exports = function (operations) {
	const isObjectType = require("./is-object-type")(operations);
	const isPossiblyRemoteField = require("./is-possibly-remote-field")(operations);

	return either([
		isPossiblyRemoteField,
		isObjectType("hierarchical")
	]);
};
